edu.sc.seis.sod.status.networkArm

## Class NetworkInfoTemplateGenerator

- java.lang.Object
- - edu.sc.seis.sod.status.networkArm.NetworkInfoTemplateGenerator

- All Implemented Interfaces:
    SodElement, NetworkMonitor

      public class NetworkInfoTemplateGenerator
      extends java.lang.Object
      implements NetworkMonitor

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `NetworkInfoTemplateGenerator(org.w3c.dom.Element el)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `change(edu.iris.Fissures.IfNetwork.Channel channel, Status status)`
    `void` | `change(edu.iris.Fissures.network.NetworkAttrImpl net, Status status)`
    `void` | `change(edu.iris.Fissures.IfNetwork.Site site, Status status)`
    `void` | `change(edu.iris.Fissures.IfNetwork.Station station, Status status)`
    `boolean` | `contains(edu.iris.Fissures.IfNetwork.NetworkAttr net)`
    `boolean` | `contains(edu.iris.Fissures.IfNetwork.Station sta)`
    `ChannelsInStationTemplate` | `getChannelsInStationTemplate(edu.iris.Fissures.IfNetwork.Channel chan)`
    `ChannelsInStationTemplate` | `getChannelsInStationTemplate(edu.iris.Fissures.IfNetwork.Station station)`
    `NetworkStatusTemplate` | `getNetworkStatusTemplate()`
    `StationsInNetworkTemplate` | `getStationsInNetworkTemplate(edu.iris.Fissures.IfNetwork.NetworkAttr net)`
    `StationsInNetworkTemplate` | `getStationsInNetworkTemplate(edu.iris.Fissures.IfNetwork.Station station)`
    `void` | `setArmStatus(java.lang.String status)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### NetworkInfoTemplateGenerator

          public NetworkInfoTemplateGenerator(org.w3c.dom.Element el)
                                       throws java.lang.Exception

      Throws:
        `java.lang.Exception`

  - ### Method Detail

    - #### change

          public void change(edu.iris.Fissures.network.NetworkAttrImpl net,
                             Status status)

      Specified by:
        `change` in interface `NetworkMonitor`

    - #### change

          public void change(edu.iris.Fissures.IfNetwork.Station station,
                             Status status)

      Specified by:
        `change` in interface `NetworkMonitor`

    - #### change

          public void change(edu.iris.Fissures.IfNetwork.Site site,
                             Status status)

      Specified by:
        `change` in interface `NetworkMonitor`

    - #### change

          public void change(edu.iris.Fissures.IfNetwork.Channel channel,
                             Status status)

      Specified by:
        `change` in interface `NetworkMonitor`

    - #### getNetworkStatusTemplate

          public NetworkStatusTemplate getNetworkStatusTemplate()

    - #### getStationsInNetworkTemplate

          public StationsInNetworkTemplate getStationsInNetworkTemplate(edu.iris.Fissures.IfNetwork.NetworkAttr net)
                                                                 throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### getStationsInNetworkTemplate

          public StationsInNetworkTemplate getStationsInNetworkTemplate(edu.iris.Fissures.IfNetwork.Station station)
                                                                 throws ConfigurationException

      Throws:
        `ConfigurationException`

    - #### getChannelsInStationTemplate

          public ChannelsInStationTemplate getChannelsInStationTemplate(edu.iris.Fissures.IfNetwork.Station station)
                                                                 throws java.io.IOException,
                                                                        ConfigurationException

      Throws:
        `java.io.IOException`
        `ConfigurationException`

    - #### getChannelsInStationTemplate

          public ChannelsInStationTemplate getChannelsInStationTemplate(edu.iris.Fissures.IfNetwork.Channel chan)
                                                                 throws java.io.IOException,
                                                                        ConfigurationException

      Throws:
        `java.io.IOException`
        `ConfigurationException`

    - #### contains

          public boolean contains(edu.iris.Fissures.IfNetwork.NetworkAttr net)

    - #### contains

          public boolean contains(edu.iris.Fissures.IfNetwork.Station sta)

    - #### setArmStatus

          public void setArmStatus(java.lang.String status)

      Specified by:
        `setArmStatus` in interface `NetworkMonitor`